# -*- encoding: utf-8 -*-
# stub: gitlab-omniauth-openid-connect 0.9.1 ruby lib

Gem::Specification.new do |s|
  s.name = "gitlab-omniauth-openid-connect".freeze
  s.version = "0.9.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["John Bohn".freeze, "Ilya Shcherbinin".freeze]
  s.date = "2022-01-04"
  s.description = "OpenID Connect Strategy for OmniAuth.".freeze
  s.email = ["jjbohn@gmail.com".freeze, "m0n9oose@gmail.com".freeze]
  s.files = [".github/config/rubocop_linter_action.yml".freeze, ".github/stale.yml".freeze, ".github/workflows/rubocop.yml".freeze, ".gitignore".freeze, ".gitlab-ci.yml".freeze, ".rubocop.yml".freeze, ".travis.yml".freeze, "CHANGELOG.md".freeze, "CONTRIBUTING.md".freeze, "Gemfile".freeze, "Guardfile".freeze, "LICENSE.txt".freeze, "README.md".freeze, "Rakefile".freeze, "gitlab-omniauth-openid-connect.gemspec".freeze, "lib/omniauth/openid_connect.rb".freeze, "lib/omniauth/openid_connect/errors.rb".freeze, "lib/omniauth/openid_connect/version.rb".freeze, "lib/omniauth/strategies/openid_connect.rb".freeze, "lib/omniauth_openid_connect.rb".freeze, "test/fixtures/jwks.json".freeze, "test/fixtures/test.crt".freeze, "test/lib/omniauth/strategies/openid_connect_test.rb".freeze, "test/strategy_test_case.rb".freeze, "test/test_helper.rb".freeze]
  s.homepage = "https://gitlab.com/gitlab-org/gitlab-omniauth-openid-connect".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.0.8".freeze
  s.summary = "OpenID Connect Strategy for OmniAuth".freeze
  s.test_files = ["test/fixtures/jwks.json".freeze, "test/fixtures/test.crt".freeze, "test/lib/omniauth/strategies/openid_connect_test.rb".freeze, "test/strategy_test_case.rb".freeze, "test/test_helper.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<addressable>.freeze, ["~> 2.7"])
      s.add_runtime_dependency(%q<omniauth>.freeze, ["~> 1.9"])
      s.add_runtime_dependency(%q<openid_connect>.freeze, ["~> 1.2"])
      s.add_development_dependency(%q<coveralls>.freeze, ["~> 0.8"])
      s.add_development_dependency(%q<faker>.freeze, ["~> 2.17"])
      s.add_development_dependency(%q<guard>.freeze, ["~> 2.14"])
      s.add_development_dependency(%q<guard-bundler>.freeze, ["~> 3.0"])
      s.add_development_dependency(%q<guard-minitest>.freeze, ["~> 2.4"])
      s.add_development_dependency(%q<minitest>.freeze, ["~> 5.14"])
      s.add_development_dependency(%q<mocha>.freeze, ["~> 1.12"])
      s.add_development_dependency(%q<rake>.freeze, ["~> 13.0"])
      s.add_development_dependency(%q<rubocop>.freeze, ["~> 1.12"])
      s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.16"])
    else
      s.add_dependency(%q<addressable>.freeze, ["~> 2.7"])
      s.add_dependency(%q<omniauth>.freeze, ["~> 1.9"])
      s.add_dependency(%q<openid_connect>.freeze, ["~> 1.2"])
      s.add_dependency(%q<coveralls>.freeze, ["~> 0.8"])
      s.add_dependency(%q<faker>.freeze, ["~> 2.17"])
      s.add_dependency(%q<guard>.freeze, ["~> 2.14"])
      s.add_dependency(%q<guard-bundler>.freeze, ["~> 3.0"])
      s.add_dependency(%q<guard-minitest>.freeze, ["~> 2.4"])
      s.add_dependency(%q<minitest>.freeze, ["~> 5.14"])
      s.add_dependency(%q<mocha>.freeze, ["~> 1.12"])
      s.add_dependency(%q<rake>.freeze, ["~> 13.0"])
      s.add_dependency(%q<rubocop>.freeze, ["~> 1.12"])
      s.add_dependency(%q<simplecov>.freeze, ["~> 0.16"])
    end
  else
    s.add_dependency(%q<addressable>.freeze, ["~> 2.7"])
    s.add_dependency(%q<omniauth>.freeze, ["~> 1.9"])
    s.add_dependency(%q<openid_connect>.freeze, ["~> 1.2"])
    s.add_dependency(%q<coveralls>.freeze, ["~> 0.8"])
    s.add_dependency(%q<faker>.freeze, ["~> 2.17"])
    s.add_dependency(%q<guard>.freeze, ["~> 2.14"])
    s.add_dependency(%q<guard-bundler>.freeze, ["~> 3.0"])
    s.add_dependency(%q<guard-minitest>.freeze, ["~> 2.4"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.14"])
    s.add_dependency(%q<mocha>.freeze, ["~> 1.12"])
    s.add_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 1.12"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.16"])
  end
end

